Bug 1820869 (CVE-2020-6819) - CVE-2020-6819 Mozilla: Use-after-free while running the nsDocShell destructor
Summary: CVE-2020-6819 Mozilla: Use-after-free while running the nsDocShell destructor
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-6819
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1820870 1820871 1820872 1820873 1820874 1820875 1820876 1823642 1823643 1823644 1823645 1823646 1823647 1823648
Blocks: 1820877
TreeView+ depends on / blocked
 
Reported: 2020-04-04 11:44 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-16 20:19 UTC (History)
9 users (show)

Fixed In Version: firefox 68.6.1, firefox 74.0.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Mozilla Firefox. A race condition can occur while running the nsDocShell destructor causing a use-after-free memory issue. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-04-07 10:32:18 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1338 0 None None None 2020-04-07 08:58:06 UTC
Red Hat Product Errata RHSA-2020:1339 0 None None None 2020-04-07 08:45:21 UTC
Red Hat Product Errata RHSA-2020:1340 0 None None None 2020-04-07 07:38:46 UTC
Red Hat Product Errata RHSA-2020:1341 0 None None None 2020-04-07 08:44:14 UTC
Red Hat Product Errata RHSA-2020:1488 0 None None None 2020-04-16 10:03:01 UTC
Red Hat Product Errata RHSA-2020:1489 0 None None None 2020-04-16 10:03:28 UTC
Red Hat Product Errata RHSA-2020:1495 0 None None None 2020-04-16 20:53:51 UTC
Red Hat Product Errata RHSA-2020:1496 0 None None None 2020-04-16 20:29:45 UTC

Description Huzaifa S. Sidhpurwala 2020-04-04 11:44:52 UTC
As per mozilla upstream advisory:

Under certain conditions, when running the nsDocShell destructor, a race condition can cause a use-after-free. We are aware of targeted attacks in the wild abusing this flaw.

Comment 1 Huzaifa S. Sidhpurwala 2020-04-04 11:44:59 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Francisco Alonso and Javier Marcos

Comment 2 Huzaifa S. Sidhpurwala 2020-04-04 11:45:03 UTC
External References:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-11/#CVE-2020-6819

Comment 5 errata-xmlrpc 2020-04-07 07:38:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1340 https://access.redhat.com/errata/RHSA-2020:1340

Comment 6 errata-xmlrpc 2020-04-07 08:44:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1341 https://access.redhat.com/errata/RHSA-2020:1341

Comment 7 errata-xmlrpc 2020-04-07 08:45:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1339 https://access.redhat.com/errata/RHSA-2020:1339

Comment 8 errata-xmlrpc 2020-04-07 08:58:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1338 https://access.redhat.com/errata/RHSA-2020:1338

Comment 9 Product Security DevOps Team 2020-04-07 10:32:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-6819

Comment 13 errata-xmlrpc 2020-04-16 10:02:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:1488 https://access.redhat.com/errata/RHSA-2020:1488

Comment 14 errata-xmlrpc 2020-04-16 10:03:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1489 https://access.redhat.com/errata/RHSA-2020:1489

Comment 15 errata-xmlrpc 2020-04-16 20:29:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:1496 https://access.redhat.com/errata/RHSA-2020:1496

Comment 16 errata-xmlrpc 2020-04-16 20:53:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1495 https://access.redhat.com/errata/RHSA-2020:1495


Note You need to log in before you can comment on or make changes to this bug.